using UnityEngine;
using System;
using System.Collections;

[RequireComponent(typeof(Collider))]
public class ITouchable : MonoBehaviour
{    
    public void OnTouchBegan() 
    {
        GetComponents<ITouchableEffects>().ForEach(effect => effect.OnTouchBegan());
    }

    public void OnTouchEnded() 
    {
        GetComponents<ITouchableEffects>().ForEach(effect => effect.OnTouchEnded());
    }
}